com.holonplatform.vaadin.flow.components

## Interface ViewComponent.ViewComponentPropertyRenderer<T>

- Type Parameters:
    `T` - ViewComponent type
  All Superinterfaces:
    com.holonplatform.core.property.PropertyRenderer<ViewComponent<T>,T>
  Enclosing interface:
    ViewComponent<V>
  Functional Interface:
    This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

      @FunctionalInterface
      public static interface ViewComponent.ViewComponentPropertyRenderer<T>
      extends com.holonplatform.core.property.PropertyRenderer<ViewComponent<T>,T>

  A `PropertyRenderer` for the `ViewComponent` rendering type.

- - ### Field Summary

    - ### Fields inherited from interface com.holonplatform.core.property.PropertyRenderer

      `DEFAULT_PRIORITY`

  - ### Method Summary

    All Methods Static Methods Instance Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <T> ViewComponent.ViewComponentPropertyRenderer<T>` | `create(Function<com.holonplatform.core.property.Property<? extends T>,ViewComponent<T>> function)` Create a new `ViewComponent.ViewComponentPropertyRenderer` using given function.
    `default Class<? extends ViewComponent<T>>` | `getRenderType()`

    - ### Methods inherited from interface com.holonplatform.core.property.PropertyRenderer

      `create, render`

- - ### Method Detail

    - #### getRenderType

          default Class<? extends ViewComponent<T>> getRenderType()

      Specified by:
        `getRenderType` in interface `com.holonplatform.core.property.PropertyRenderer<ViewComponent<T>,T>`

    - #### create

          static <T> ViewComponent.ViewComponentPropertyRenderer<T> create(Function<com.holonplatform.core.property.Property<? extends T>,ViewComponent<T>> function)

      Create a new `ViewComponent.ViewComponentPropertyRenderer` using given function.
      Type Parameters:
        `T` - ViewComponent type
      Parameters:
        `function` - Function to use to provide the `ViewComponent` component (not null)
      Returns:
        A new `ViewComponent.ViewComponentPropertyRenderer`

Copyright © 2019 The Holon Platform. All rights reserved.